<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Tim College <college@interworx.com>
 */

/**
 * JSON Responder for triggering an error (for testing)
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class JSON_Responder_Error extends JSON_Responder
{
    /**
     * Constructor.  Must accept $input to match abstract declaration, but ignored.
     *
     * @param mixed $input
     */
    public function __construct($input)
    {
      // Erase input to show that it's used for CodeSniffer
        $input = null;

      // Disable mail for errors, just in case
        Ini::set(Ini::DEVEL, 'mail', 0);
        Ini::write();
    }

    /**
     * Returns the NodeWorx session of the current user.
     *
     * @return Session_NodeWorx
     */
    public function getSession()
    {
        return IW::Env()->getNodeWorxSession();
    }

    /**
     * Validates the input (not really ;) ).
     *
     * @return boolean
     */
    public function validateInput()
    {
        return true;
    }

    /**
     * Triggers a non-fatal error.
     */
    public function execute()
    {
        trigger_error('Look, an error was triggered!', E_USER_ERROR);
    }
}
