<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Test
 * @author     Tim College <tcollege@interworx.com>
 * @date       Aug 5, 2008
 */

@ob_end_flush();

require_once('/usr/local/interworx/include/iworx.conf.php');
ini_set('include_path', ini_get('include_path') . ':.'); // add "." to include_path

/**
 * Autoloader for unit test helpers.
 *
 * @param string $class
 */
function unitTestHelpersAutoload($class)
{
    $filename = Ini::get(Ini::IWORX_DIR, 'base')
        . '/TESTS/_include/'
        . $class
        . '.php';

    if (IWorxFileSys::fileExists($filename)) {
        require_once($filename);
    }
}

/**
 * Autoloader for plugins.
 *
 * @param string $class
 */
function pluginAutoloadHelper($class)
{
    $directory = '/home/interworx/plugins/';
    $dirs      = IWorxFileSys::pregGlob($directory, '/.*/', IWorxFileSys::ONLY_DIRS);
    foreach ($dirs as $dir) {
        $dir = $directory . $dir;
        if (is_dir($dir . '/TESTS')) {
            if (IWorxFileSys::fileExists($dir . '/TESTS/' . $class . '.php')) {
                require_once($dir . '/TESTS/' . $class . '.php');
                //echo 'AAAAAAAAAAAAAAa';
                break;
            } else {
                //echo 'FILE DOES NOT EXIST: ' .$dir . '/TESTS/' . $class . '.php' . "\n" ;
            }
        } else {
            //echo 'NOT A DIRECTORY: ' .$dir . '/TESTS' . "\n";
        }
    }
}

spl_autoload_register('unitTestHelpersAutoload');
spl_autoload_register('pluginAutoloadHelper');

define('NW_USER', TestConfig::get('nodeworx', 'username'));
define('NW_PASS', TestConfig::get('nodeworx', 'password'));

define('SECONDARY_NICK', TestConfig::get('siteworx', 'nickname'));
define('SECONDARY_EMAIL', TestConfig::get('siteworx', 'username'));
define('SECONDARY_PASS', TestConfig::get('siteworx', 'password'));

define('RSL_NICKNAME', TestConfig::get('reseller', 'nickname'));
define('RSL_EMAIL', TestConfig::get('reseller', 'username'));
define('RSL_PASSWORD', TestConfig::get('reseller', 'password'));
define('RSL_SW_DOMAIN', TestConfig::get('reseller', 'siteworx', 'domain'));
define('RSL_SW_UNIQNAME', TestConfig::get('reseller', 'siteworx', 'uniqname'));

define('SW_UNIQNAME', TestConfig::get('siteworx', 'uniqname'));
define('SW_EMAIL', TestConfig::get('siteworx', 'username'));
define('SW_PASS', TestConfig::get('siteworx', 'password'));
define('SW_NICK', TestConfig::get('siteworx', 'nickname'));

define(
    'SW_DOMAIN',
    TestConfig::get('siteworx', 'domain', 'primary')
);

define(
    'SW_SECONDARY_DOMAIN',
    TestConfig::get('siteworx', 'domain', 'secondary')
);

define(
    'SW_POINTER_DOMAIN',
    TestConfig::get('siteworx', 'domain', 'pointer')
);

define(
    'SW_SECONDARY_NICK',
    TestConfig::get('siteworx', 'secondary', 'nickname')
);

define(
    'SW_SECONDARY_EMAIL',
    TestConfig::get('siteworx', 'secondary', 'username')
);

define(
    'SW_SECONDARY_PASS',
    TestConfig::get('siteworx', 'secondary', 'password')
);
