<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jonathan Daniel <jdaniel@interworx.com>
 * @date    Oct 23, 2008
 * @id $Id$
 */

/**
 * NodeWorx backup test for Selenium.
 *
 * @package    Interworx
 * @subpackage Tests
 * @group      selenium
 */
class PageNWBackupTest extends IWorxSeleniumTestCase
{
    /**
     * TestCreateBackup function.
     */
    public function testCreateBackup()
    {
        $this->addSWAccountIfNecessary();

        $this->loginToNWAndGoTo('/nodeworx/backup');
        $this->assertTextPresent(self::SW_DOMAIN, 'Cannot find SiteWorx domain');

        $checkbox_loc = 'css=input[value="' . self::SW_DOMAIN . '"]';

        $this->click($checkbox_loc);
        $this->select('iw_action_name', 'label=Full Backup');
        $this->clickAndWaitForPopupForm('submitbutton');
        $this->click('submitbutton');
        sleep(self::TIMEOUT);
    }
    /**
     * TestRestoreBackup function.
     */
    public function testRestoreBackup()
    {
        $url = '/nodeworx/backup?action=manageCommit&domain=' . self::SW_DOMAIN;
        $this->loginToNWAndGoTo($url);

        // restores the first one on the list.  Kind of a hack.
        $this->clickAndWaitForPopupForm('link=RESTORE');

        // Gotta click the confirm button
        $this->click('confirm_action_j_0');

        $this->click("//input[@value='Restore']");
        $this->waitForMessageBanner();
    }

    /**
     * TestLoginAfterRestore function.
     */
    public function testLoginAfterRestore()
    {
        $this->loginToSWAndGoTo('/siteworx/overview');

        $this->assertTrue(
            $this->isElementPresent("//div[@id='iw-quickmenu']"),
            'Unable to Locate menu because I suck'
        );
    }

    /**
     * TestDeleteBackup function.
     */
    public function testDeleteBackup()
    {
        $url = '/nodeworx/backup?action=manageCommit&domain=' . self::SW_DOMAIN;
        $this->loginToNWAndGoTo($url);

        $this->click('css=.iw-check-all');
        $this->select('iw_action_name', 'label=Delete');
        $this->clickAndWaitForPopupForm('submitbutton');

        $this->click("//input[@value='". IWorxTranslate::tr('##LG_DELETE##') . "']");

        $this->waitForMessageBanner();

        $this->assertTextPresent(IWorxTranslate::tr('##LG_BACKUP_DELETED##'));
    }
}
