<?php
/**
 * InterWorx Hosting Control Panel
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2017 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Upgrade
 * @author     Tim College <tcollege@interworx.com>
 * @date       Jan 05, 2017
 */

/**
 * Class PageNWHttpdTest
 *
 * @package    InterWorx
 * @subpackage Test
 */
class PageNWHttpdTest extends IWorxSeleniumTestCase
{
    /**
     * Dataprovider.
     *
     * @return array
     */
    public function dataProviderPhpModes()
    {
        return [ [PHP::MODE_MOD_PHP], [PHP::MODE_MOD_SUPHP], [PHP::MODE_PHP_FPM] ];
    }

    /**
     * Test adding siteworx accounts in all modes.
     *
     * @param string $mode
     * @dataProvider dataProviderPhpModes
     */
    public function testAddingSiteworxWithPhpMode($mode)
    {
        $NW = new NodeWorx(NodeWorx::MASTER_ID);
        $NW->getHTTPDriver()->switchPHPMode($mode);
        $this->deleteSWAccountIfNecessary();
        $this->addSWAccount();
    }
}
