<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jonathan Daniel <jdaniel@interworx.com>
 * @date    Mar 9, 2009
 */

/**
 * Tests the PhpMyAdmin Single-Signon.
 *
 * @package    InterWorx
 * @subpackage Tests
 * @group      selenium
 */
class PageNWPhpMyAdminTest extends IWorxSeleniumTestCase
{

    /**
     * Setup func.
     */
    public function setUp()
    {
        $msg = 'Tests temporarily skipped until firefox/selenium issue resolved.';
        $this->markTestSkipped($msg);
    }

    /**
     * Tests that the login actually works for PhpMyAdmin.
     */
    public function testWalkThrough()
    {
        $this->loginToNWAndGoTo('/nodeworx/overview');

        $this->click('iw-menu-svc-mysql-pma');
        $this->waitForPopUp('_blank');
        $this->selectWindow('_blank');

        //    if( $this->_willPMAJustLoad() !== true ) {
        $this->assertPageRenderedWithoutErrors();

        $this->click('submitbutton');
        $this->waitForPageToLoad();
        //    }

        sleep(6);
        $this->assertPageRenderedWithoutErrors();

        $this->selectFrame('frame_navigation');
        $this->click("//*[@id='leftframelinks']/a[2]");
        $this->waitForPageToLoad();

        $this->assertPageRenderedWithoutErrors();
    }

    /**
     * Will PMA just load.
     *
     * Since we changed how PHPMyAdmin loads in NodeWorx, we need to check to.
     * see if the user will be presented with a dropdown, or if PMA will just
     * directly login.
     *
     * @return boolean
     */
    private function _willPMAJustLoad()
    {
        if (Ini::get(Ini::IWORX, 'debug') == '1') {
            return false;
        }

        $NodeWorx = new NodeWorx(self::NW_USER);
        $servers  = $NodeWorx->getMySQLDriver()->getServers();

        if (count($servers) > 1) {
            return false;
        }

        return true;
    }
}
