<?php
/**
 * InterWorx Hosting Control Panel
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2016 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage TESTS
 * @author     Tim College <tcollege@interworx.com>
 * @date       Aug 16, 2016
 */

/**
 * Class HotfixRepoTest
 *
 * @package    InterWorx
 * @subpackage TESTS
 */
class HotfixRepoTest extends IWorx_Framework_TestCase
{
    /**
     * Verify that the repo file exists.
     */
    public function testHotfixRepoExists()
    {
        $this->assertTrue(
            is_file(CLI_Hotfix::HOTFIX_REPO),
            'Hotfix repo is missing'
        );
    }

    /**
     * Tests that the path appears to be correct.
     */
    public function testHotfixRepoHasCorrectBuild()
    {
        $build = IW::Env()->getEnvFlag('build');
        $cmd   = "grep baseurl /etc/yum.repos.d/interworx-hotfix.repo | grep /{$build}";

        $Cmd = new Command($cmd);
        $Cmd->allowPipe();
        $Cmd->exec();

        $this->assertTrue($Cmd->wasSuccessful());
    }
}
