<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Paul Oehler <poehler@interworx.com>
 * @date    Sep 26, 2009
 */

require_once 'XMLRPCTest.php';
require_once '/usr/local/interworx/TESTS/_include/nusoap.php.inc';

/**
 * XMLRPC API Tests.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class API_NuSoapTest extends API_XMLRPCTest
{

    /**
     * Init api object.
     *
     * @param string $hostname
     */
    protected function _initApiObj($hostname)
    {
        $url = "http://{$hostname}:2080/nodeworx/soap";
        $this->_xml = new nusoap_client($url);
    }

    /**
     * Soap implementation of api call.
     *
     * @return mixed
     */
    protected function _apiCall()
    {
        $args = func_get_args();
        $method = array_shift($args);

        $result = $this->_xml->call($method, $args[0]);
        $this->_assertResponseLooksValid($result);
        return $result;
    }
}
