<?php
/**
 * InterWorx Hosting Control Panel
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2016 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage TESTS
 * @author     Tim College <tcollege@interworx.com>
 * @date       Mar 28, 2016
 */

/**
 * Class IWorxCronTest
 *
 * @package    InterWorx
 * @subpackage TESTS
 */
class IWorxCronTest extends IWorx_Framework_TestCase
{
    /**
     * Test running the fively cron.
     */
    public function testFivelyCron()
    {
        $Cmd = new Command(Ini::get(Ini::IWORX_CRON, 'iworx') . ' --fively');
        $Cmd->exec();

        $this->assertEquals(CLI::OK, $Cmd->getRetval());
    }

    /**
     * Test running the fifteenly cron.
     */
    public function testFifteenlyCron()
    {
        $Cmd = new Command(Ini::get(Ini::IWORX_CRON, 'iworx') . ' --fifteenly');
        $Cmd->exec();

        $this->assertEquals(CLI::OK, $Cmd->getRetval());
    }

    /**
     * Test running the quad_daily cron.
     */
    public function testQuadDailyCron()
    {
        $Cmd = new Command(Ini::get(Ini::IWORX_CRON, 'iworx') . ' --quad_daily');
        $Cmd->exec();

        $this->assertEquals(CLI::OK, $Cmd->getRetval());
    }

    /**
     * Test running the daily cron.
     */
    public function testDailyCron()
    {
        $Cmd = new Command(Ini::get(Ini::IWORX_CRON, 'iworx') . ' --daily');
        $Cmd->exec();

        $this->assertEquals(CLI::OK, $Cmd->getRetval());
    }

    /**
     * Test running the weekly cron.
     */
    public function testWeeklyCron()
    {
        $Cmd = new Command(Ini::get(Ini::IWORX_CRON, 'iworx') . ' --weekly');
        $Cmd->exec();

        $this->assertEquals(CLI::OK, $Cmd->getRetval());
    }

    /**
     * Test running the monthly cron.
     */
    public function testMonthlyCron()
    {
        $Cmd = new Command(Ini::get(Ini::IWORX_CRON, 'iworx') . ' --monthly');
        $Cmd->exec();

        $this->assertEquals(CLI::OK, $Cmd->getRetval());
    }
}
