<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Feb 24, 2008
 */

/**
 * Test Suite for Ctrl_Nodeworx_Ftp.
 *
 * @package    InterWorx
 * @subpackage Tests
 * @group      slow-tests
 */

class Ctrl_Nodeworx_FtpTest extends IWorx_Framework_TestCase
{

    const CTRL = 'Ctrl_Nodeworx_Ftp';

    /**
     * Test assigned vars of index action.
     */
    public function testIndexActionAssignedVars()
    {
        $NW     = self::getMasterNodeWorx();
        $Reply  = IW::FC()->routeFromPHP(self::CTRL, 'index', array(), $NW);
        $result = $Reply->getData();
        $this->assertArrayHasKey('iw_ftp', $result);
        $this->assertArrayHasKey('iw_form', $result);
        $forms = $result['iw_form'];

        $this->assertArrayHasKey('ftp_sob', $forms);
        $class_name = 'Form_NW_Ftp_StartOnBoot';
        $this->assertTrue($forms['ftp_sob'] instanceof $class_name);

        $this->assertArrayHasKey('ftp_autorestart', $forms);
        $class_name = 'Form_NW_Ftp_Autorestart';
        $this->assertTrue($forms['ftp_autorestart'] instanceof $class_name);

        $this->assertArrayHasKey('ftp_rrdgraph', $forms);
        $class_name = 'Form_NW_Ftp_RrdGraph';
        $this->assertTrue($forms['ftp_rrdgraph'] instanceof $class_name);

        $this->assertArrayHasKey('ftp_options', $forms);
        $class_name = 'Form_NW_Ftp_ServerOptions';
        $this->assertTrue($forms['ftp_options'] instanceof $class_name);
    }

    /**
     * Test.
     */
    public function testAutoRestartActionReturnsTrue()
    {
        $NW     = self::getMasterNodeWorx();
        $Reply = IW::FC()->routeFromPHP(self::CTRL, 'autoRestart', array(), $NW);
        $this->assertReplySuccessful($Reply);
    }

    /**
     * Test.
     */
    public function testStartOnBootActionReturnsTrue()
    {
        $NW     = self::getMasterNodeWorx();
        $Reply = IW::FC()->routeFromPHP(self::CTRL, 'startOnBoot', array(), $NW);
        $this->assertReplySuccessful($Reply);
    }

    /**
     * Test.
     */
    public function testServerOptionsActionReturnsTrue()
    {
        $NW     = self::getMasterNodeWorx();
        $Reply = IW::FC()->routeFromPHP(self::CTRL, 'serverOptions', array(), $NW);
        $this->assertReplySuccessful($Reply);
    }
}
