<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Feb 24, 2008
 */

/**
 * Test Cases for Ctrl_Nodeworx_Import.
 *
 * TODO
 * 1.) Add checks to make sure all the various parts of the import finished
 *     properly.
 *
 * @package    InterWorx
 * @subpackage Tests
 * @group      slow-tests
 */
class Ctrl_Nodeworx_ImportTest extends IWorx_Framework_TestCase
{

    const CTRL = 'Ctrl_Nodeworx_Import';

    /**
     * Tests the importSingle controller action, kind of a crappy test.
     */
    public function testImportSingleAction()
    {
        $NW = self::getMasterNodeWorx();
        $input = array( 'filetype' => 'remote' );

        $Reply  = IW::FC()->routeFromPHP(self::CTRL, 'importSingle', $input, $NW);
        $result = $Reply->getData();

        $this->assertInternalType('array', $result);
        $msg = '##LG_INPUT_FORM_DID_NOT_VALIDATE##. ' .
        '##LG_INPUT_FORM_SEE_DETAILS_BELOW##.';
        $this->assertEquals($msg, $result[ 0 ]);
    }

    /**
     * Tests the import controller action.
     */
    public function testImportAction()
    {
        self::deleteSWAccountIfNecessary();
        self::addSWAccountIfNecessary();
        $NW = self::getMasterNodeWorx();

        $result = $this->doBackupAndImport();
        $this->assertTrue($result);
    }
}
