<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jonathan Daniel <jdaniel@interworx.com>
 * @date    Jun 16, 2009
 */

/**
 * LogsTest NodeWorx controller.
 *
 * @package    InterWorx
 * @subpackage Tests
 *
 */
class Ctrl_Nodeworx_LogsTest extends IWorx_Framework_TestCase
{

    const CTRL = 'Ctrl_Nodeworx_Logs';

    /**
     * Tests the view action.
     */
    public function testViewAction()
    {
        $NW       = self::getMasterNodeWorx();
        $DS       = new DataSource_Log_NW_Groups();
        $all_good = true;

        $vals = $DS->getValues();
        foreach ($vals as $value) {
            $input  = array( 'group' => $value );
            $result = IW::FC()->routeFromPHP(self::CTRL, 'view', $input, $NW)->getData();

            $Form     = $result['iw_form'];
            $all_good = $Form instanceof Form_NW_Server_LogView && $all_good;
        }

        $this->assertTrue($all_good);
    }

    /**
     * Tests that the payload was set properly.
     */
    public function testViewActionPayload()
    {
        $NW = self::getMasterNodeWorx();

        $DS     = new DataSource_Log_NW_IWorx();
        $values = $DS->getValues();

        $input = array( 'group' => 'Log_IWorx',
                    'file'  => $values[0],
                    'lines' => 20 );
        $Reply   = IW::FC()->routeFromPHP(self::CTRL, 'viewCommit', $input, $NW);
        $payload = $Reply->getData();
        $this->assertTrue($payload != IWorxTranslate::tr('##LG_UNKNOWN_LOG##'));
    }
}
