<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Feb 24, 2008
 */

/**
 * Test Suite for Ctrl_Nodeworx_MailQueue.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Ctrl_Nodeworx_MailQueueTest extends IWorx_Framework_TestCase
{

    const CTRL = 'Ctrl_Nodeworx_MailQueue';

    /**
     * Test assigned vars of index action.
     */
    public function testIndexActionAssignedVars()
    {
        $NW     = self::getMasterNodeWorx();
        $Reply  = IW::FC()->routeFromPHP(self::CTRL, 'index', array(), $NW);
        $result = $Reply->getData();
        $this->assertArrayHasKey('iw_form', $result);
        $this->assertArrayHasKey('iw_queue_payload', $result);
        $this->assertArrayHasKey('iw_stats_payload', $result);
    }

    /**
     * Test assigned vars of index action.
     */
    public function testPurgeActionErrorsWithNoInput()
    {
        $NW     = self::getMasterNodeWorx();
        $Reply  = IW::FC()->routeFromPHP(self::CTRL, 'purge', array(), $NW);
        $result = $Reply->getData();
        $this->assertInternalType('array', $result);
        $this->assertEquals('##LG_INPUT_FORM_DID_NOT_VALIDATE##. ' .
                         '##LG_INPUT_FORM_SEE_DETAILS_BELOW##.', $result[ 0 ]);
    }

    /**
     * Tests processing the mail queue.
     */
    public function testProcessAction()
    {
        $NW    = self::getMasterNodeWorx();
        $input = array( 'queues' => array( 'send', 'smtp', 'smtp2' ) );
        $Reply = IW::FC()->routeFromPHP(self::CTRL, 'process', $input, $NW);

        $this->assertReplySuccessful($Reply);
    }

    /**
     * Test.
     */
    public function testViewMessageAction()
    {
        $this->markTestIncomplete();
    }
}
