<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Tim College <tcollege@interworx.com>
 * @date       Jan 4, 2010
 */

/**
 * Tests for Ctrl_Util.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Ctrl_UtilTest extends IWorx_Framework_TestCase
{
    /**
     * Data provider.
     *
     * @return array
     */
    public static function dataProviderPathToClass()
    {
        return array
        ( array( '/quickhelp', 'Ctrl_Quickhelp' ),
        array( '/nodeworx/mail/mta', 'Ctrl_Nodeworx_MailMta' ),
        array( '/siteworx/overview', 'Ctrl_Siteworx_Overview' ),
        array( '/nodeworx/mail/pop3', 'Ctrl_Nodeworx_MailPop3'),
        array( '/nodeworx/import', 'Ctrl_Nodeworx_Import' ),
        array( '/nodeworx/import/really/long', 'Ctrl_Nodeworx_ImportReallyLong' ),
        );
    }

    /**
     * Data provider.
     *
     * @return array
     */
    public static function dataProviderClassToPath()
    {
        $output = [];

        $input = self::dataProviderPathToClass();

        foreach ($input as $array) {
            $output[] = array_reverse($array);
        }

        return $output;
    }

    /**
     * Tests the result of convertPathToClassName()
     *
     * @param string $input
     * @param string $expected
     * @dataProvider dataProviderPathToClass
     */
    public function testConvertPathToClassName($input, $expected)
    {
        $actual = Ctrl_Util::convertPathToClassName($input);
        $this->assertEquals($expected, $actual);
    }

    /**
     * Tests the result of convertClassToPathName()
     *
     * @param string $input
     * @param string $expected
     * @dataProvider dataProviderClassToPath
     */
    public function testConvertClassNameToPath($input, $expected)
    {
        $actual = Ctrl_Util::convertClassNameToPath($input);
        $this->assertEquals($expected, $actual);
    }
}
