<?php
/**
 * InterWorx Hosting Control Panel
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2017 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Upgrade
 * @author     Tim College <tcollege@interworx.com>
 * @date       Mar 29, 2017
 */

/**
 * Class Php_ImportSclToServerWithoutSclEnabledTest
 *
 * @package    InterWorx
 * @subpackage Tests
 * @retryLimit 0
 */
class Php_ImportSclToServerWithoutSclEnabledTest extends IWorx_Framework_TestCase
{
    private $_backup = '/home/interworx/TESTS/_resources/iwtestphpscl71.com-full-Mar.29.2017-08.59.20.tgz';
    const TEST_SYSTEM_DEFAULT = 'system-php';

    /**
     * Restore a backup that required a specific version of PHP.
     */
    public function testRestoreBackup()
    {
        if (PHP::isMultiplePhpInstalled()) {
            $this->failOnJenkins('Unable to complete test, Multiple PHP is enabled');
        }

        IW::getLog()->info($this->_backup);
        $this->importBackup($this->_backup);
        $SW  = new SiteWorx('iwtestphpscl71.com');

        $Php = $SW->getMasterDomain()->getPhp();
        $this->assertEquals(static::TEST_SYSTEM_DEFAULT, $Php->getKey());
    }
}
