<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2014 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Apr 09, 2014
 */

/**
 * Test class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Bug3488MysqladminPasswordExposureTest extends IWorx_Framework_TestCase
{

    /**
     * Setup.
     */
    public function setUp()
    {
        Ini::set(Ini::IWORX, 'debug', '1');
        Ini::set(Ini::IWORX, 'debug_exec', '1');
        Ini::write();
    }

    /**
     * Teardown.
     */
    public function tearDown()
    {
        Ini::set(Ini::IWORX, 'debug', '0');
        Ini::set(Ini::IWORX, 'debug_exec', '0');
        Ini::write();
    }

    /**
     * Trac: #3488.
     */
    public function testMysqlAdminCommandPasswordExposed()
    {
        $cmd = '~iworx/cron/rrd.pex --update --services=mysql';
        $result = [];
        $retval = 0;
        exec($cmd, $result, $retval);

        $result = [];
        $retval = 0;
        exec(
            'tail -n500 ~iworx/var/log/cron.log | grep ": cmd:" | grep mysqladmin',
            $result,
            $retval
        );

        if (count($result) !== 0) {
            foreach ($result as $line) {
                $pos = strpos($line, ' -p');
                $pos += 3;
                if (isset($line{$pos})) {
                    $after_p = $line{$pos};
                    $msg = 'Looks like mysqladmin used -p param insecurely.' . "\n" . $line;
                    $this->assertEquals(' ', $after_p, $msg);
                }
            }
        } else {
            $this->assertCount(0, $result); // just so we assert something.
        }
    }
}
