<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2014 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Apr 09, 2014
 */

/**
 * Test class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Bug3495ImportArchiveInputAttackTest extends IWorx_Framework_TestCase
{
    /**
     * Trac: #3495.
     */
    public function testNodeworxImportArchiveVariableFilteringAttack()
    {
        `rm -rf /tmp/x-3495`;
        `mkdir /tmp/x-3495`;
        `cp /etc/hosts '/tmp/x-3495/;touch hack.php;chmod 777 hack.php;'`;
        `cp /etc/hosts '/tmp/x-3495/;chmod 600 hack.php;'`;
        `rm -rf /home/interworx/html/hack.php`;

        $ctrl = 'Ctrl_Nodeworx_Import';
        $action = 'importCommit';
        $input = array( 'archive' => '/tmp/x-3495/;touch hack.php;chmod 777 hack.php;',
                    'reseller_id' => '1',
                    'cp' => 'siteworx',
                    'dbserver' => 'localhost',
                    'ipaddr' => self::_getFirstSharedIP() );

        $NW = $this->getMasterNodeWorx();
        chdir('/home/interworx/html'); // important, so hack.php is put in html dir.
        $Reply = IW::FC()->routeFromPHP($ctrl, $action, $input, $NW);
        $this->assertFileNotExists('/home/interworx/html/hack.php');
        $this->assertReplyNotSuccessful($Reply, 'Bad import did not fail');
    }
}
