<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2014 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Apr 09, 2014
 */

/**
 * Test class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Bug3512StatsDownloadingSecurityTest extends IWorx_Framework_TestCase
{
    /**
     * Trac: #3512.
     *
     * @expectedException IWorx_Exception_Permission
     * @expectedExceptionMessage ##LG_INVALID_PARAMATERS_SPECIFIED##
     */
    public function testStatsDownloadIworxIniAttack()
    {
        `rm -rf /tmp/logs`;
        $this->deleteSWAccountIfNecessary();
        $this->addSWAccount();

        // prep attack
        exec('su -m addedbyt -c "cd /tmp
                              ln -s /usr/local/interworx logs"');

        $ctrl = 'Ctrl_Siteworx_Download';
        $action = 'log';
        $input = array( 'file' => 'iworx.ini',
                    'domain' => '../../../../../../tmp' );

        $Reply = IW::FC()->routeFromPHP($ctrl, $action, $input, self::getSWAccount());
        $contents = ob_get_clean();
        $this->assertNotContains(
            'INTERWORX-CP CONFIG FILE',
            substr($contents, 0, 200)
        );
    }
}
