<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Test
 * @author     Nathan Roth <nroth@interworx.com>
 */

/**
 * Test suite for bug bounty 334 tests.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Bug8384CommandInjectionBackupTest extends IWorx_Cluster_Framework_TestCase
{
    /**
     * Setup.
     */
    public function setUp()
    {
        $this->addSWAccountIfNecessary();

        IWorxBR::setLogToConsole(false);
    }

    /**
     * Test bug bounty 334
     */
    public function testBounty334()
    {
        $this->_touchTestFiles();

        $this->assertFileNotExists('/home/iw-hacked', 'File existed before test');

        $this->backupAccount(self::SW_DOMAIN);

        $this->assertFileNotExists('/home/iw-hacked', 'File existed after test');
    }

    /**
     * Set up test files.
     */
    private function _touchTestFiles()
    {
        IWorxFileSys::rm('/home/iw-hacked');
        $homedir = '/home/addedbyt';
        $file = $homedir . '/' . 'a --checkpoint=1 --checkpoint-action="exec=touch iw-hacked"';

        for ($x = 0; $x <= 10; $x++) {
            touch("{$homedir}/public_html/tmp{$x}");
            IWorxFileSys::chown(self::SW_UNIQNAME, "{$homedir}/public_html/tmp{$x}");
        }

        touch($file);
    }
}
