<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2011 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Tim College <tcollege@interworx.com>
 * @date       Apr 5, 2011
 */

/**
 * Tests for the IPv6 expander.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class IWorx_Filter_IPv6ExpanderTest extends IWorx_Framework_TestCase
{
    /**
     * Data Provider.
     *
     * @return array
     */
    public function dataProviderIPv6()
    {
        return( array(
        array( 'dead::beef', 'dead:0000:0000:0000:0000:0000:0000:beef' ),
        array( 'dead::beef::1', 'dead::beef::1' ),
        array( '::27', '0000:0000:0000:0000:0000:0000:0000:0027' ),
        array( '0000:0000:0000:0000:0000:0000:0000:0027',
             '0000:0000:0000:0000:0000:0000:0000:0027' ),
        array( 'dead:::beef', 'dead:::beef' ),
        array( 'dead::::beef', 'dead::::beef' ),
        array( '5::34:3:192.168.34.32', '0005:0000:0000:0000:0034:0003:c0a8:2220' ),
        ) );
    }

    /**
     * Tests the expander.
     *
     * @param string $input
     * @param string $expected
     * @dataProvider dataProviderIPv6
     */
    public function testExpander($input, $expected)
    {
        $Filter = new IWorx_Filter_IPv6Expander();

        $actual = $Filter->filter($input);

        $this->assertEquals($expected, $actual);
    }
}
