<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jonathan Daniel <jdaniel@interworx.com>
 * @date    Apr 21, 2009
 */

/**
 * IWorx Encryption Test.
 *
 * @package    InterWorx
 * @subpackage Tests
 *
 */
class IWorxEncryptTest extends \PHPUnit\Framework\TestCase
{

    const TEST_STRING = 'this is a test';

    /**
     * Test the encryption of strings.
     */
    public function testEncryptingString()
    {
        $encstring = IWorxEncrypt::encrypt(self::TEST_STRING);

        $this->assertTrue(!empty($encstring));
        $this->assertTrue($encstring !== self::TEST_STRING);
    }

    /**
     * Tests the decryption of strings.
     */
    public function testStringProcessing()
    {
        $encstring = IWorxEncrypt::encrypt(self::TEST_STRING);
        $origstring = IWorxEncrypt::decrypt($encstring);

        $this->assertEquals(self::TEST_STRING, $origstring);
    }
}
