<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2014 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Apr 09, 2014
 */

/**
 * Test class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Bug3505CrossUserSubdomainSymlinkTest extends IWorx_Framework_TestCase
{
    /**
     * Trac: #3505.
     */
    public function testCrossUserSubdomainSymlinkAttack()
    {
        $this->deleteSWAccountIfNecessary();
        $this->deleteResellerSwAccountIfNecessary();
        $this->deleteResellerAccountIfNecessary();

        $this->addSWAccount();
        $this->addResellerSwAccountIfNecessary();

        $uniq = self::SW_UNIQNAME;
        $dom  = self::SW_DOMAIN;
        $rsl_uniq = self::RSL_SW_UNIQNAME;
        $rsl_dom  = self::RSL_SW_DOMAIN;

        // prep attack
        exec("su -m {$uniq} -c \"cd /home/{$uniq}/{$dom}/
                              rm -rf html
                              ln -s /home/{$rsl_uniq}/{$rsl_dom} html\"");

        $input = array( 'prefix' => 'exploit' );
        $Reply = IW::FC()->routeFromPHP(
            'Ctrl_Siteworx_DomainsSub',
            'add',
            $input,
            $this->getSWAccount()
        );

        $msg = 'Subdomain symlink attack was successful!';
        $this->assertFileNotExists("/home/{$rsl_uniq}/{$rsl_dom}/exploit", $msg);
    }
}
