<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2022 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Upgrade
 * @author     Tim College <tcollege@interworx.com>
 * @date       Mar 21, 2022
 */

class Bug8338IWorxImportSuidSgidTest extends IWorx_Framework_TestCase
{
    const ARCHIVE_DIR = '/usr/local/interworx/TESTS/_resources';
    const ARCHIVE     = 'bug-8338-suid-exploit.com+full-Mar.21.2022-14.56.39.tgz';

    /**
     * Attempt to import a malicious backup.
     */
    public function testSneakSuidFileInThroughImport()
    {
        $archive = self::ARCHIVE_DIR . '/' . self::ARCHIVE;

        $ipaddr = $this->_getFirstSharedIP();

        $cmd = Ini::get(Ini::IWORX_BIN, 'import') .
            " --archive=\"{$archive}\"" .
            " --control-panel=siteworx" .
            " --ip-address=\"{$ipaddr}\"" .
            " --db-server=localhost" .
            " --reseller-id=1" .
            ' --force';

        $Cmd = new Command($cmd);
        $Cmd->exec();

        $this->assertFalse($Cmd->wasSuccessful());
        $this->assertCliOutputContains('Suspicious files found', $Cmd->getOutput());
    }
}
